; corrida.nsi

;--------------------------------

; The name of the installer
Name "Corrida"
Caption "My Caoption"
Icon "../common/corrida.ico"
UninstallIcon "../common/corrida_uninst.ico"
OutFile "corrida-0.96-10-installer.exe"

; The default installation directory
InstallDir $PROGRAMFILES\Corrida

; Registry key to check for directory (so if you install again, it will 
; overwrite the old one automatically)
InstallDirRegKey HKLM "Software\Corrida" "Install_Dir"

; LicenseText "A test text, make sure it's all there"
LicenseData "../COPYING"

;--------------------------------

; Pages

Page license
Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; The stuff to install
Section "Corrida (required)"

  SectionIn RO
  
  SetOutPath $INSTDIR\bin
  File "..\corrida\corrida.exe"
  File "..\torero\torero.exe"

  SetOutPath $INSTDIR\share\corrida
  File /r "..\common\*"
  
  ; Write the installation path into the registry
  WriteRegStr HKLM SOFTWARE\Corrida "Install_Dir" "$INSTDIR"
  
  ; Write the uninstall keys for Windows
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Corrida" "DisplayName" "Corrida"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Corrida" "UninstallString" '"$INSTDIR\uninstall.exe"'
  WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Corrida" "NoModify" 1
  WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Corrida" "NoRepair" 1
  WriteUninstaller "uninstall.exe"
  
SectionEnd

;; Optional section - GTK libs
;Section "GTK Libraries (probably you do not need it if you already have GIMP installed)"
;
;  SetOutPath "$INSTDIR"
;  File /r "..\..\corrida-dep-libs\COPYING.LIB-2"
;
;  SetOutPath "$INSTDIR\bin"
;  File /r "..\..\corrida-dep-libs\bin\*.*"
;
;  SetOutPath "$INSTDIR\etc"
;  File /r "..\..\corrida-dep-libs\etc\*.*"
;
;  SetOutPath "$INSTDIR\lib"
;  File /r "..\..\corrida-dep-libs\lib\gtk-2.0\2.4.0\immodules\*.*"
;
;SectionEnd

; Optional section - Start Menu
Section "Create shortcut in Start Menu"
  SetOutPath "$INSTDIR\bin"

  CreateDirectory "$SMPROGRAMS\Corrida"
  CreateShortCut "$SMPROGRAMS\Corrida\Corrida.lnk" "$INSTDIR\bin\corrida.exe" "" "$INSTDIR\share\corrida\corrida.ico" 0
  CreateShortCut "$SMPROGRAMS\Corrida\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0

SectionEnd

; Optional section - Destktop
Section /o "Create Desktop shortcut"
  SetOutPath "$INSTDIR\bin"

  CreateShortcut "$DESKTOP\Corrida.lnk" "$INSTDIR\bin\corrida.exe" "" "$INSTDIR\share\corrida\corrida.ico" 0

SectionEnd

; Optional section - Quick Launch bar
Section /o "Create shourtcut in Quick Launch bar"
  SetOutPath "$INSTDIR\bin"

  CreateShortcut "$QUICKLAUNCH\Corrida.lnk" "$INSTDIR\bin\corrida.exe" "" "$INSTDIR\share\corrida\corrida.ico" 0

SectionEnd

;--------------------------------

; Uninstaller

Section "Uninstall"

  ; Remove registry keys
  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Corrida"
  DeleteRegKey HKLM SOFTWARE\Corrida

  ; Remove installed items

  Delete "$INSTDIR\bin\*.*"
  RMDir  "$INSTDIR\bin"

  Delete "$INSTDIR\share\corrida\*.*"
  RMDir  "$INSTDIR\share\corrida"
  RMDir  "$INSTDIR\share"

  Delete $INSTDIR\uninstall.exe
  RMDir  "$INSTDIR"

  ; Remove shortcuts (if any)

  Delete "$SMPROGRAMS\Corrida\*.*"
  RMDir  "$SMPROGRAMS\Corrida"

  Delete "$DESKTOP\Corrida.lnk"

  Delete "$QUICKLAUNCH\Corrida.lnk"

SectionEnd
